The orderNumbers endpoint is used to securely retrieve a list of order numbers completed via the Zonos Checkout. It’s normally used for order reconciliation to ensure all orders were imported as of a date or orderID as well as orders between a date range.
POST | https://api.iglobalstores.com/v1/orderNumbers
HTTPS request
Field↕
Notes↕
HTTP method
POST
Endpoint
https://api.iglobalstores.com/v1/orderNumbers
Protocol
HTTPS
Message format
JSON
Accept HTTP header
Accept: application/json
Content-Type HTTP header
Content-Type: application/json
JSON key/value in the request body
Message format: JSON
1{
2"store":"999",
3"secret":"f5bde245-f55e-414d-b722-80b25161c12c",
4"sinceOrderId":"999-99999"
5}
Request JSON definitions
field↕
notes↕
missingMerchantOrderId OPTIONAL, if passing another parameter option
This parameter is used to query a set or orders within the last two weeks that are missing the merchantOrderId. When the merchantOrderId is submitted via the updateMerchantOrderID API endpoint, orders will no longer show up in this query.boolean: true/false
secret REQUIRED
API secret GUID provided by Zonos. string
sinceDate OPTIONAL, if passing sinceOrderId parameter.
This parameter is used to query a set of orders after a particular date.sinceDate and sinceOrderId cannot both be sent.string - date UTC/GMT; format: yyyymmdd
sinceOrderId OPTIONAL, if passing sinceDate / throughDate parameter
The Zonos order ID, can be passed with or without your store ID and hyphen (Example: 123-45678 or 45678).Note: This parameter will be used to query a set of orders after a particular Zonos order. sinceDate and sinceOrderId cannot both be sent.integer / string
statuses OPTIONAL
This parameter is used to include the current order status and merchantOrderId in the response. If it is present on the request, regardless of the value, it will include the statuses.boolean: true
store REQUIRED
Store ID provided by Zonos.integer
throughDate OPTIONAL
This parameter is used to query a set of orders between a particular date range.Must be passed along with sinceDate parameter.string - date UTC/GMT; format: yyyymmdd
HTTPS response
Message format: JSON
1{
2"totalCount":6,
3"orderCount":5,
4"testOrderCount":1,
5"orders":[
6{
7"testOrder":false,
8"id":"999-99991",
9"timestamp":"2015-01-01 00:33:14.0"
10},
11{
12"testOrder":true,
13"id":"999-99992",
14"timestamp":"2015-01-01 05:12:46.0"
15},
16{
17"testOrder":false,
18"id":"999-99993",
19"timestamp":"2015-01-01 14:50:54.0"
20},
21{
22"testOrder":false,
23"id":"999-99994",
24"timestamp":"2015-01-02 20:14:01.0"
25},
26{
27"testOrder":false,
28"id":"999-99995",
29"timestamp":"2015-01-02 20:57:47.0"
30},
31{
32"testOrder":false,
33"id":"999-99996",
34"timestamp":"2015-01-02 22:11:40.0"
35}
36]
37}
Error HTTP responses
Error↕
Meaning↕
406 - Not Acceptable
HTML Entity. HTTP “Accept” header is invalid.
415 - Unsupported media type
HTML Entity. HTTP “Content-Type” header is invalid.
200
“error”:”could not parse input”
200
“error”:”orderId: 999-99999 is not a valid orderId”
200
“error”:”Parameter orderId or referenceId is required.”
200
“error”:”Cannot specify both Parameters orderId and referenceId.”
200
“error”:”Could not process order details.”
200
“error”:”Invalid security credentials”
Response JSON definitions
field↕
notes↕
error
This parameter will only be present in the response when an error has occurred and will contain a description of the cause.string
orderCount
The total count of live orders retrieved.integer
order.testOrderCount
The total count of test orders retrieved.integer
orders
A list of order maps.string
orders[index].id
The full Zonos Order Id including store id and dash.string
orders[index].merchantOrderId
MerchantOrderId associated with the order through the updateMerchantOrderId API service endpoint.string
orders[index].orderStatus
The current order status for possible values.string
orders[index].orderStatusDate
The epoch representing when the status was last updated.integer
orders[index].orderStatusDateString
The timestamp representing when the status was last updated in UTC/GMT.timestamp
orders[index].testOrder
Indicates if the order was a “test order” or “live order”.boolean
orders[index].timestamp
The timestamp representing when the order was placed in UTC/GMT.timestamp
totalCount
The total count of both live and test orders retrieved.integer
Order numbers
Order numbers
Learn how the Order numbers endpoint works.The
orderNumbersendpoint is used to securely retrieve a list of order numbers completed via the Zonos Checkout. It’s normally used for order reconciliation to ensure all orders were imported as of a date or orderID as well as orders between a date range.Endpoint
POST |
https://api.iglobalstores.com/v1/orderNumbersHTTPS request
https://api.iglobalstores.com/v1/orderNumbersJSON key/value in the request body
Message format: JSON
{"store": "999","secret": "f5bde245-f55e-414d-b722-80b25161c12c","sinceOrderId": "999-99999"}Request JSON definitions
missingMerchantOrderIdOPTIONAL, if passing another parameter optionmerchantOrderId. When themerchantOrderIdis submitted via theupdateMerchantOrderIDAPI endpoint, orders will no longer show up in this query.boolean: true/falsesecretREQUIREDstringsinceDateOPTIONAL, if passingsinceOrderIdparameter.sinceDateandsinceOrderIdcannot both be sent.string- date UTC/GMT; format:yyyymmddsinceOrderIdOPTIONAL, if passingsinceDate/throughDateparametersinceDateandsinceOrderIdcannot both be sent.integer / stringstatusesOPTIONALmerchantOrderIdin the response. If it is present on the request, regardless of the value, it will include the statuses.boolean: truestoreREQUIREDintegerthroughDateOPTIONALsinceDateparameter.string- date UTC/GMT; format:yyyymmddHTTPS response
Message format: JSON
{"totalCount": 6,"orderCount": 5,"testOrderCount": 1,"orders": [{"testOrder": false,"id": "999-99991","timestamp": "2015-01-01 00:33:14.0"},{"testOrder": true,"id": "999-99992","timestamp": "2015-01-01 05:12:46.0"},{"testOrder": false,"id": "999-99993","timestamp": "2015-01-01 14:50:54.0"},{"testOrder": false,"id": "999-99994","timestamp": "2015-01-02 20:14:01.0"},{"testOrder": false,"id": "999-99995","timestamp": "2015-01-02 20:57:47.0"},{"testOrder": false,"id": "999-99996","timestamp": "2015-01-02 22:11:40.0"}]}Error HTTP responses
Response JSON definitions
errorstringorderCountintegerorder.testOrderCountintegerordersstringorders[index].idstringorders[index].merchantOrderIdMerchantOrderIdassociated with the order through theupdateMerchantOrderIdAPI service endpoint.stringorders[index].orderStatusstringorders[index].orderStatusDateintegerorders[index].orderStatusDateStringtimestamporders[index].testOrderbooleanorders[index].timestamptimestamptotalCountintegerWas this page helpful?